﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace SpanningRecordHeaders
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        ObservableCollection<Person> people = new ObservableCollection<Person>();

        public Window1()
        {
            InitializeComponent();
            for (int i = 0; i < 10; i++)
            {
                Person p = new Person("Person " + i, i, "some description");
                if(i%2!=0)
                    p.IsMerged=true;

                people.Add(p);
            }

            xamDataGrid1.DataSource = people;
            xamDataGrid1.InitializeRecord += new EventHandler<Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs>(xamDataGrid1_InitializeRecord);
        }

        void xamDataGrid1_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
            DataRecord dr = e.Record as DataRecord;
            if (dr != null && dr.Index%2==0)
            {
                dr.Cells["ubHeader"].Value = "merged header for records " + dr.Index.ToString() +  " " + (dr.Index+1).ToString();
            }
        }
    }
}
